.mocha:testing:
  image: node:13.12-slim
  artifacts:
    reports:
      junit: test-results.xml
    paths: 
      - test-results.xml # keep the report
    expire_in: 1 week
  script: |
    npm install -g mocha
    npm install -g mocha-junit-reporter
    mocha test.js --reporter mocha-junit-reporter
    cat ./test-results.xml
